Skip to main content
PATCH
/
assistants
/
{assistant_name}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"

curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "Content-Type: application/json" \
  -H "X-Pinecone-Api-Version: 2026-04" \
  -d '{
  "instructions": "Use American English for spelling and grammar.",
  "metadata": {"team": "customer-support", "version": "1.1"}
}'
{
  "name": "example-assistant",
  "instructions": "Use American English for spelling and grammar.",
  "metadata": {"team": "customer-support", "version": "1.1"},
  "status": "Ready",
  "host": "https://prod-1-data.ke.pinecone.io",
  "created_at": "2025-10-01T12:30:00Z",
  "updated_at": "2025-10-01T12:45:00Z"
}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"

curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "Content-Type: application/json" \
  -H "X-Pinecone-Api-Version: 2026-04" \
  -d '{
  "instructions": "Use American English for spelling and grammar.",
  "metadata": {"team": "customer-support", "version": "1.1"}
}'
{
  "name": "example-assistant",
  "instructions": "Use American English for spelling and grammar.",
  "metadata": {"team": "customer-support", "version": "1.1"},
  "status": "Ready",
  "host": "https://prod-1-data.ke.pinecone.io",
  "created_at": "2025-10-01T12:30:00Z",
  "updated_at": "2025-10-01T12:45:00Z"
}

Authorizations

Api-Key
string
header
required

Pinecone API Key

Headers

X-Pinecone-Api-Version
string
default:2026-04
required

Required date-based version header

Path Parameters

assistant_name
string
required

The name of the assistant to update.

Body

application/json

The desired configuration updates for the assistant.

The configuration updates for the assistant.

instructions
string | null

Guidance applied to all responses generated by the assistant. Maximum 16 KB.

Example:

"Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow."

metadata
object

Optional metadata associated with the assistant. Metadata is a JSON object that can store custom organizational data, tags, and attributes. Maximum size is 16KB.

Example:
{
"role": "Customer Support Helper",
"team": "Operations"
}

Response

Update request successful.

assistant_name
string

The assistant name.

instructions
string

Guidance applied to all responses generated by the assistant.

Example:

"Answer questions with clear, helpful answers. Keep the tone friendly and easy to follow."

metadata
object

Optional metadata associated with the assistant. Metadata is a JSON object that can store custom organizational data, tags, and attributes.

Example:
{
"role": "Customer Support Helper",
"team": "Operations"
}